| Kea 3.0.2-git

client_handler.h File Reference
`#include <dhcp/pkt4.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/multi_index_container.hpp>`
`#include <boost/multi_index/composite_key.hpp>`
`#include <boost/multi_index/hashed_index.hpp>`
`#include <boost/multi_index/member.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <mutex>`
`#include <thread>`
Include dependency graph for dhcp4/client_handler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::ClientHandler
| Client race avoidance RAII handler. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::function< void()> | isc::dhcp::Continuation
| Define the type of packet processing continuation.
typedef boost::shared_ptr< Continuation > | isc::dhcp::ContinuationPtr
| Define the type of shared pointers to continuations.

## Functions
ContinuationPtr | isc::dhcp::makeContinuation (Continuation &&cont)
| Continuation factory.